#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define equal(s1,s2) (strcmp(s1,s2)==0)

main(int argc, char** argv) {

char* lfname = ".license";
FILE* file;
char s[128];
int ok;

if (argc > 1) lfname = argv[1];

file = fopen(lfname,"w");
fputs("LEDA LICENSE FILE",file);
fclose(file);

if (getenv("NO_LICENSE_CHECK")) exit(0);


file = fopen("license.txt","r");
while (fgets(s,128,file)) printf("%s",s);
fclose(file);
printf("Do you want to continue? ");
fflush(stdout);

for(;;)
{ scanf("%s",s);
  if (equal(s,"no")  || equal(s,"NO")  || equal(s,"No"))  { ok = 0; break; }
  if (equal(s,"yes") || equal(s,"YES") || equal(s,"Yes")) { ok = 1; break; }
  printf("\nPlease type YES or NO: ");
}


if (ok)
   printf("Ok, installation continues.\n");
else
  { sprintf(s,"del %s > NUL",lfname);
    system(s);
    printf("Installation stopped.\n");
   }

printf("\n");

return 0;

}
